FileToByteArray (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.transformers.FileToByteArray class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file.transformers
Class FileToByteArray

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.simple.SerializableToByteArray
              org.mule.transformer.simple.ObjectToByteArray
                  org.mule.transport.file.transformers.FileToByteArray

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, DiscoverableTransformer, Transformer

Direct Known Subclasses:
  FileToString

    public class FileToByteArray

extends ObjectToByteArray

`FileToByteArray` reads the contents of a file as a byte array.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`FileToByteArray()`

Method Summary
`Object` | `doTransform(Object src, String encoding)`

Methods inherited from class org.mule.transformer.simple.SerializableToByteArray
`getPriorityWeighting, isAcceptMuleMessage, isAcceptUMOMessage, setAcceptMuleMessage, setAcceptUMOMessage, setPriorityWeighting`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileToByteArray

    public FileToByteArray()

Method Detail

### doTransform

    public Object doTransform(Object src,
                              String encoding)
                       throws TransformerException

  Overrides:
    `doTransform` in class `ObjectToByteArray`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.